Bug 1027425 - 'filter failed' error when printing in KDE
'filter failed' error when printing in KDE
Status: CLOSED DUPLICATE of bug 1036428
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
20
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 14:27 EST by Mike Ruckman
Modified: 2014-05-19 10:28 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-11 05:48:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error log when printing PDF. (18.75 KB, text/plain)
2014-05-12 09:54 EDT, Eric Renfro
no flags Details
gs-open.log with strace (69.50 KB, text/plain)
2014-05-19 09:30 EDT, Eric Renfro
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1250407 None None None Never

  None (edit)
Description Mike Ruckman 2013-11-06 14:27:17 EST
Description of problem:
Printing fails with a 'filter failed' error. 

Version-Release number of selected component (if applicable):
F20 RC2 KDE Live, also installation from live fully updated.

How reproducible:
Always

Steps to Reproduce:
1. Install and configure a printer
2. Attempt to print a test page
3. Page doesn't print, status message say 'Filter failed'

Actual results:
Nothing is printed.

Expected results:
Test page prints with no errors.

Additional info:

Printer used is HP Deskjet 1000 

Results of `rpm -qa | grep cups-` on full installation:

cups-filesystem-1.7.0-4.fc20.noarch
python-cups-1.9.63-4.fc20.x86_64
cups-filters-libs-1.0.40-4.fc20.x86_64
gutenprint-cups-5.2.9-14.fc20.x86_64
cups-filters-1.0.40-4.fc20.x86_64
cups-1.7.0-4.fc20.x86_64
cups-pk-helper-0.2.5-2.fc20.x86_64
bluez-cups-5.10-2.fc20.x86_64
cups-libs-1.7.0-4.fc20.x86_64
Comment 1 Tim Waugh 2013-11-07 10:43:31 EST
Please attach the PPD file for the printer, from the /etc/cups/ppd directory.
Comment 3 Mike Ruckman 2013-11-13 16:47:49 EST
I don't have this machine installed anymore - but I can attempt to reproduce it again if it's needed. Sorry for taking so long to respond.
Comment 4 Tim Waugh 2013-11-14 04:32:18 EST
Yes please. We need to see the installed PPD at the point the error is seen.
Comment 5 Tim Waugh 2013-12-11 05:48:55 EST
This looks like it might possibly be an instance of ghostscript bug #1036428. Could you please re-test after installing this update?:

https://admin.fedoraproject.org/updates/ghostscript-9.10-5.fc20

Closing for now... please re-open if it still occurs.

*** This bug has been marked as a duplicate of bug 1036428 ***
Comment 6 Eric Renfro 2014-05-12 08:07:41 EDT
This problem is still occurring.
Comment 7 Tim Waugh 2014-05-12 08:20:43 EDT
Please attach /var/log/cups/error_log.
Comment 8 Eric Renfro 2014-05-12 09:54:25 EDT
Created attachment 894704 [details]
Error log when printing PDF.

This is using Okular, from KDE, to print a PDF without rasterizing being forced. Same thing when it is, in printing PDF options in Okular.

The only way I can currently print PDF is through AcroReader with rasterizing within it. Any other method completely fails. AcroRead, however, does provide a ghostscript specific error unlike Okular (and anything else, including Firefox), provides a Filter Error.
Comment 9 Rex Dieter 2014-05-12 10:09:14 EDT
D [12/May/2014:09:46:50 -0400] [Job 132] Error: /invalidfont in /findfont
D [12/May/2014:09:46:50 -0400] [Job 132] Operand stack:
D [12/May/2014:09:46:50 -0400] [Job 132] F12_0   1   1   --nostringval--   Helvetica
D [12/May/2014:09:46:50 -0400] [Job 132] Execution stack:
D [12/May/2014:09:46:50 -0400] [Job 132] %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1888   1   3   %oparray_pop   1887   1   3   %oparray_pop   1871   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   1840   5   4   %oparray_pop
D [12/May/2014:09:46:50 -0400] [Job 132] Dictionary stack:


Looks a lot like bug #921706 rearing it's ugly head again
Comment 10 Tim Waugh 2014-05-12 11:40:29 EDT
(In reply to Rex Dieter from comment #9)
> Looks a lot like bug #921706 rearing it's ugly head again

Agreed.

To make sure, what output do these commands give?:

rpm -q --last urw-fonts
grep -l n019003l /var/cache/fontconfig/* | xargs stat
Comment 11 Eric Renfro 2014-05-12 13:10:44 EDT
# rpm -q --last urw-fonts
urw-fonts-2.4-18.fc20.noarch                  Mon 12 May 2014 10:43:03 AM EDT


# grep -l n019003l /var/cache/fontconfig/* | xargs stat
  File: ‘/var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le64.cache-4’
  Size: 41920           Blocks: 88         IO Block: 4096   regular file
Device: fd00h/64768d    Inode: 1099637     Links: 1
Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
Access: 2014-05-12 10:43:06.854393440 -0400
Modify: 2014-05-12 10:43:03.532479915 -0400
Change: 2014-05-12 10:43:03.532479915 -0400
 Birth: -
Comment 12 Tim Waugh 2014-05-13 08:04:34 EDT
That's odd -- isn't that after comment #8 was posted? Perhaps an update was applied?

Does printing work correctly now or is it still broken in the same way?
Comment 13 Eric Renfro 2014-05-13 17:28:23 EDT
It's still broken in the same way.
Comment 14 Tim Waugh 2014-05-14 05:15:47 EDT
If you run "fc-cache -f /usr/share/fonts/default/Type1" as root, does the problem still show up?
Comment 15 Tim Waugh 2014-05-15 06:49:11 EDT
See bug #921706.
Comment 16 Eric Renfro 2014-05-19 07:55:05 EDT
Yes, I've already run fc-cache to rebuild the entire cache to no success rate still. Bug #921706 is definitely related to this issue.
Comment 17 Tim Waugh 2014-05-19 08:45:22 EDT
Does this also fail?:

gs <<EOF
(Helvetica) findfont pop
EOF

If so, it would be useful to see gs-open.log from:

strace -eopen gs <<EOF 2>&1 | grep -v NOENT > gs-open.log
(Helvetica) findfont pop
EOF
Comment 18 Eric Renfro 2014-05-19 09:30:06 EDT
gs <<EOF
> (Helvetica) findfont pop
> EOF
GPL Ghostscript 9.10 (2013-08-30)
Copyright (C) 2013 Artifex Software, Inc.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
GS>Can't find (or can't open) font file /usr/share/ghostscript/9.10/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Can't find (or can't open) font file /usr/share/ghostscript/9.10/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Querying operating system for font files...
Can't find (or can't open) font file /usr/share/ghostscript/9.10/Resource/Font/NimbusSanL-Regu.
Can't find (or can't open) font file NimbusSanL-Regu.
Didn't find this font on the system!
Substituting font Courier for NimbusSanL-Regu.
Can't find (or can't open) font file /usr/share/ghostscript/9.10/Resource/Font/NimbusMonL-Regu.
Can't find (or can't open) font file NimbusMonL-Regu.
Can't find (or can't open) font file /usr/share/ghostscript/9.10/Resource/Font/NimbusMonL-Regu.
Can't find (or can't open) font file NimbusMonL-Regu.
Didn't find this font on the system!
Unable to substitute for font.
Error: /invalidfont in /findfont
Operand stack:
   Helvetica
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   %loop_continue   --nostringval--   --nostringval--   false   1   %stopped_push   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1836   1   3   %oparray_pop
Dictionary stack:
   --dict:1167/1684(ro)(G)--   --dict:0/20(G)--   --dict:77/200(L)--
Current allocation mode is local
Last OS error: Not a directory
Current file position is 21


Short and simple without strace. attaching gs-open.log next.
Comment 19 Eric Renfro 2014-05-19 09:30:44 EDT
Created attachment 897146 [details]
gs-open.log with strace
Comment 20 Tim Waugh 2014-05-19 10:28:09 EDT
Thanks. How about if you run 'fc-cache -f /usr/share/fonts'?

If that doesn't work, does 'fc-cache -r /usr/share/fonts'?

Note You need to log in before you can comment on or make changes to this bug.